Module java.base
Package javax.crac

# Class RestoreException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.crac.RestoreException

All Implemented Interfaces:
  `Serializable`

public final class RestoreException extends Exception
This exception works as an aggregate for all errors found during checkpoint; these are recorded as suppressed exceptions. The exception does not have any own message, cause nor collects stack trace.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RestoreException()`
Creates a `RestoreException`.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RestoreException

public RestoreException()
Creates a `RestoreException`.